aboutsummaryrefslogtreecommitdiffhomepage
path: root/src
diff options
context:
space:
mode:
authorGravatar Philipp Wollermann <philwo@google.com>2016-06-21 14:58:09 +0000
committerGravatar Philipp Wollermann <philwo@google.com>2016-06-21 15:04:52 +0000
commita5afe95e471827ab636a249fb0fd4a11076548e9 (patch)
tree2dc8f85279ee37e15131d5b5d382d1c3ebfe4b70 /src
parentb5a06f3362b430d0f51d1f4da646f2de901e5707 (diff)
Replace #!/bin/bash -eu with #!/bin/bash and "set -eu". Otherwise, the "-eu" is not picked up when you run the scripts manually using "bash script.sh".
This is also in our shell style guide: "Executables must start with #!/bin/bash and a minimum number of flags. Use set to set shell options so that calling your script as bash <script_name> does not break its functionality." -- MOS_MIGRATED_REVID=125450962
Diffstat (limited to 'src')
-rwxr-xr-xsrc/create_embedded_tools.sh4
-rwxr-xr-xsrc/package-bazel.sh4
2 files changed, 6 insertions, 2 deletions
diff --git a/src/create_embedded_tools.sh b/src/create_embedded_tools.sh
index 3ddf6bbf64..9b39a2f915 100755
--- a/src/create_embedded_tools.sh
+++ b/src/create_embedded_tools.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -eu
+#!/bin/bash
# Copyright 2015 The Bazel Authors. All rights reserved.
#
@@ -14,6 +14,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+set -eu
+
# This script is used to create the directory tree embedded into the Bazel
# binary that is used as the default source for the @bazel_tools repository.
# It shuffles around files compiled in other rules, then zips them up.
diff --git a/src/package-bazel.sh b/src/package-bazel.sh
index 2206083f2c..9a10f0cd41 100755
--- a/src/package-bazel.sh
+++ b/src/package-bazel.sh
@@ -1,4 +1,4 @@
-#!/bin/sh -eu
+#!/bin/sh
#
# Copyright 2015 The Bazel Authors. All rights reserved.
#
@@ -14,6 +14,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+set -eu
+
# This script bootstraps building a Bazel binary without Bazel then
# use this compiled Bazel to bootstrap Bazel itself. It can also
# be provided with a previous version of Bazel to bootstrap Bazel